Bug 155438 - bogus results and tracebacks for LANG=de_DE.UTF-8
bogus results and tracebacks for LANG=de_DE.UTF-8
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
Depends On:
  Show dependency treegraph
Reported: 2005-04-20 08:10 EDT by Harald Hoyer
Modified: 2009-04-16 19:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHEL-4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-18 21:02:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2005-04-20 08:10:04 EDT
Output of "lvm" is parsed with a comma separated list. Unfortunately in german
the floating point "." is a ",". So the split() does not work here. Please set
the locale to "C", if you call external utilities and parse their output!!!

Comment 1 Stanko Kupcevic 2005-05-16 16:33:32 EDT
Fixed in 0.9.27
Comment 2 David Lawrence 2006-07-17 23:45:56 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 3 Ben Levenson 2008-02-18 21:02:03 EST
this should have been fixed in RHEL-4.2

Note You need to log in before you can comment on or make changes to this bug.